# Class AccessibleTableCellEvent

java.lang.Object
java.util.EventObject
org.eclipse.swt.accessibility.AccessibleTableCellEvent

All Implemented Interfaces:
  `Serializable`

public class AccessibleTableCellEvent extends EventObject
Instances of this class are sent as a result of accessibility clients sending AccessibleTableCell messages to an accessible object.

Since:
  3.6
See Also:
  - `AccessibleTableCellListener`
  - `AccessibleTableCellAdapter`
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`Accessible`
`accessible`
`Accessible[]`
`accessibles`
`int`
`count`
`int`
`index`
`boolean`
`isSelected`

### Fields inherited from class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`AccessibleTableCellEvent(Object source)`
Constructs a new instance of this class.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class EventObject

`getSource`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### accessible

public Accessible accessible

### accessibles

public Accessible[] accessibles

### isSelected

public boolean isSelected

### count

public int count

### index

public int index

## Constructor Details

### AccessibleTableCellEvent

public AccessibleTableCellEvent(Object source)
Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

## Method Details

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `EventObject`
Returns:
  a string representation of the event